> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unyte.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1environments 

> ViewSet for managing environments.



## OpenAPI

````yaml get /api/v1/environments/{id}/
openapi: 3.0.3
info:
  title: Superpool API
  version: 2.0.0
  description: >-
    Insurance infrastructure for Financial Institutions, Insurers, and
    Insurtechs
  contact:
    name: Unyte Africa LTD.
    url: https://ng.unyte.africa
    email: tech@unyte.com
servers: []
security: []
paths:
  /api/v1/environments/{id}/:
    get:
      tags:
        - Environments
      description: ViewSet for managing environments.
      operationId: v1_environments_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          description: A unique integer value identifying this environment.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Environment'
          description: ''
      security:
        - ClientKeyAuth: []
components:
  schemas:
    Environment:
      type: object
      description: Serializer for displaying environment information.
      properties:
        environment_name:
          type: string
        test_mode:
          type: boolean
        client_id:
          type: string
          readOnly: true
          description: Unique identifier for the merchant client.
      required:
        - client_id
        - environment_name
        - test_mode
  securitySchemes:
    ClientKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````